<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: dma_config_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdma__config__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dma_config_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:acc8e1e52e09040835716e630b1680d0b"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#acc8e1e52e09040835716e630b1680d0b">pin_reset</a></td></tr>
<tr class="separator:acc8e1e52e09040835716e630b1680d0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52c04d1b9363dcf03510cf494c1f9490"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a52c04d1b9363dcf03510cf494c1f9490">pin_xclk</a></td></tr>
<tr class="separator:a52c04d1b9363dcf03510cf494c1f9490"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51c4f0e2dc10e5e743af5084924501d"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#ad51c4f0e2dc10e5e743af5084924501d">pin_sscb_sda</a></td></tr>
<tr class="separator:ad51c4f0e2dc10e5e743af5084924501d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a433be12077ef21ef5591f767ea2c4d82"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a433be12077ef21ef5591f767ea2c4d82">pin_sscb_scl</a></td></tr>
<tr class="separator:a433be12077ef21ef5591f767ea2c4d82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23f0ed2ce04b7048624df13729340da0"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a23f0ed2ce04b7048624df13729340da0">pin_d7</a></td></tr>
<tr class="separator:a23f0ed2ce04b7048624df13729340da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accbcd22f5f6965a5729b9ad0e7f1b81f"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#accbcd22f5f6965a5729b9ad0e7f1b81f">pin_d6</a></td></tr>
<tr class="separator:accbcd22f5f6965a5729b9ad0e7f1b81f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad363a0b1873740aba2b550819da7afd1"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#ad363a0b1873740aba2b550819da7afd1">pin_d5</a></td></tr>
<tr class="separator:ad363a0b1873740aba2b550819da7afd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b8fad07874f0c3fe583671777261069"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a5b8fad07874f0c3fe583671777261069">pin_d4</a></td></tr>
<tr class="separator:a5b8fad07874f0c3fe583671777261069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73f9b251874f208c3048d05cb3f2459d"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a73f9b251874f208c3048d05cb3f2459d">pin_d3</a></td></tr>
<tr class="separator:a73f9b251874f208c3048d05cb3f2459d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fc0f3d947cc5f78cdbd98074a7c9af9"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a6fc0f3d947cc5f78cdbd98074a7c9af9">pin_d2</a></td></tr>
<tr class="separator:a6fc0f3d947cc5f78cdbd98074a7c9af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a87cec5fc0bd56e50136a1d334fc833"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a9a87cec5fc0bd56e50136a1d334fc833">pin_d1</a></td></tr>
<tr class="separator:a9a87cec5fc0bd56e50136a1d334fc833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231d4199be7cbd7653b525680ac51cf5"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a231d4199be7cbd7653b525680ac51cf5">pin_d0</a></td></tr>
<tr class="separator:a231d4199be7cbd7653b525680ac51cf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8749b7acc84c18ea799613f490f1041d"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a8749b7acc84c18ea799613f490f1041d">pin_vsync</a></td></tr>
<tr class="separator:a8749b7acc84c18ea799613f490f1041d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840d4f12fe2e5fd8d4a1fec9e1fde84f"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a840d4f12fe2e5fd8d4a1fec9e1fde84f">pin_href</a></td></tr>
<tr class="separator:a840d4f12fe2e5fd8d4a1fec9e1fde84f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa10372c169b65af008b2e7dff4a17d79"><td class="memItemLeft" align="right" valign="top">gpio_num_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#aa10372c169b65af008b2e7dff4a17d79">pin_pclk</a></td></tr>
<tr class="separator:aa10372c169b65af008b2e7dff4a17d79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12553e7d65c0d62fa229d5c4bd7a157d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdma__config__t.html#a12553e7d65c0d62fa229d5c4bd7a157d">xclk_freq_hz</a></td></tr>
<tr class="separator:a12553e7d65c0d62fa229d5c4bd7a157d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a231d4199be7cbd7653b525680ac51cf5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a231d4199be7cbd7653b525680ac51cf5">&#9670;&nbsp;</a></span>pin_d0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D0 line - IN </p>

</div>
</div>
<a id="a9a87cec5fc0bd56e50136a1d334fc833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a87cec5fc0bd56e50136a1d334fc833">&#9670;&nbsp;</a></span>pin_d1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D1 line - IN </p>

</div>
</div>
<a id="a6fc0f3d947cc5f78cdbd98074a7c9af9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fc0f3d947cc5f78cdbd98074a7c9af9">&#9670;&nbsp;</a></span>pin_d2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d2</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D2 line - IN </p>

</div>
</div>
<a id="a73f9b251874f208c3048d05cb3f2459d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73f9b251874f208c3048d05cb3f2459d">&#9670;&nbsp;</a></span>pin_d3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d3</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D3 line - IN </p>

</div>
</div>
<a id="a5b8fad07874f0c3fe583671777261069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b8fad07874f0c3fe583671777261069">&#9670;&nbsp;</a></span>pin_d4</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d4</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D4 line - IN </p>

</div>
</div>
<a id="ad363a0b1873740aba2b550819da7afd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad363a0b1873740aba2b550819da7afd1">&#9670;&nbsp;</a></span>pin_d5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d5</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D5 line - IN </p>

</div>
</div>
<a id="accbcd22f5f6965a5729b9ad0e7f1b81f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accbcd22f5f6965a5729b9ad0e7f1b81f">&#9670;&nbsp;</a></span>pin_d6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d6</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D6 line - IN </p>

</div>
</div>
<a id="a23f0ed2ce04b7048624df13729340da0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23f0ed2ce04b7048624df13729340da0">&#9670;&nbsp;</a></span>pin_d7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_d7</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera D7 line - IN </p>

</div>
</div>
<a id="a840d4f12fe2e5fd8d4a1fec9e1fde84f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a840d4f12fe2e5fd8d4a1fec9e1fde84f">&#9670;&nbsp;</a></span>pin_href</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_href</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera HREF line - IN </p>

</div>
</div>
<a id="aa10372c169b65af008b2e7dff4a17d79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa10372c169b65af008b2e7dff4a17d79">&#9670;&nbsp;</a></span>pin_pclk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_pclk</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera PCLK line - IN </p>

</div>
</div>
<a id="acc8e1e52e09040835716e630b1680d0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc8e1e52e09040835716e630b1680d0b">&#9670;&nbsp;</a></span>pin_reset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_reset</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera reset line - OUT </p>

</div>
</div>
<a id="a433be12077ef21ef5591f767ea2c4d82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a433be12077ef21ef5591f767ea2c4d82">&#9670;&nbsp;</a></span>pin_sscb_scl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_sscb_scl</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera SCL line - OUT </p>

</div>
</div>
<a id="ad51c4f0e2dc10e5e743af5084924501d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad51c4f0e2dc10e5e743af5084924501d">&#9670;&nbsp;</a></span>pin_sscb_sda</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_sscb_sda</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera SDA line - OUT </p>

</div>
</div>
<a id="a8749b7acc84c18ea799613f490f1041d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8749b7acc84c18ea799613f490f1041d">&#9670;&nbsp;</a></span>pin_vsync</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_vsync</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera VSYNC line - IN </p>

</div>
</div>
<a id="a52c04d1b9363dcf03510cf494c1f9490"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52c04d1b9363dcf03510cf494c1f9490">&#9670;&nbsp;</a></span>pin_xclk</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gpio_num_t dma_config_t::pin_xclk</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>GPIO pin for camera XCLK line - IN </p>

</div>
</div>
<a id="a12553e7d65c0d62fa229d5c4bd7a157d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12553e7d65c0d62fa229d5c4bd7a157d">&#9670;&nbsp;</a></span>xclk_freq_hz</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int dma_config_t::xclk_freq_hz</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Frequency of XCLK signal, in Hz </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="I2S_8h_source.html">I2S.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
